﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadLightBoxBinaryImage : System.Web.UI.Page
{
    protected void Page_Init(object sender, EventArgs e)
    {
        DataTable table = GetDataTable();

        for (int i = 0; i < table.Rows.Count; i++)
        {
            RadLightBoxItem item = new RadLightBoxItem();
            byte[] binary = table.Rows[i]["Photo"] as byte[];
            item.ItemTemplate = new LightBoxTemplate(binary);
            RadLightBox1.Items.Add(item);
        }
    }

    private class LightBoxTemplate : ITemplate
    {
        protected RadBinaryImage image;
        private byte[] binary;

        public LightBoxTemplate(byte[] binary)
        {
            this.binary = binary;
        }
        public void InstantiateIn(Control container)
        {
            image = new RadBinaryImage();
            image.DataValue = binary;
            container.Controls.Add(image);
        }
    }

    public DataTable GetDataTable()
    {
        string query = "SELECT TOP 6 * FROM [CustomerPhotos]";

        String ConnString = ConfigurationManager.ConnectionStrings["TelerikConnectionString"].ConnectionString;
        SqlConnection conn = new SqlConnection(ConnString);
        SqlDataAdapter adapter = new SqlDataAdapter();
        adapter.SelectCommand = new SqlCommand(query, conn);

        DataTable myDataTable = new DataTable();

        conn.Open();
        try
        {
            adapter.Fill(myDataTable);
        }
        finally
        {
            conn.Close();
        }

        return myDataTable;
    }
}